##############################################################################
#
# /etc/loadd.conf - configuration file for load measuring agent
#
# load daemon by markus@wernig.net
#
# Format of this file:
#
# service:limit - one per line!
# application:name
# port:value
#
# this is case sensitive, and don't forget the colon :
#
# service: 	service names as resolved in /etc/services
#		use the name, not the port number, as the latter is unreliable
#		eg: http (rather than 80)
#
# limit:	number of maximum allowed concurrent connections for this
#		service		
#
# application:	optionally enter the name of an application that must be running
#		in order to provide the services monitored. this must be on 
#		the next valid line after the corresponding service:limit pair.
#
#		ATTENTION: do not enter an application name if your services
#		are started from inetd!!! this will result in no connections
#		being accepted!
#
#
# port:		port the server listens on. this only makes sense with a 
#		standalone server. use numbers higher than 1023. default is 1600.
#
# Example 1:	http:150
#		application:/usr/sbin/httpd
#
#		means that 150 simultaneous http-connections are reguarded
#		as the maximum and will result in the highest value possible
#		returned to the client, eg a Checkpoint FW1 module. 
#		if the process "/usr/sbin/httpd" is not running, loadd
# 		will report maximum load, so that no further connections
#		are made.
#
# Example 2:	http:150
#		application:/usr/sbin/httpd
#
#		smtp:300
#
#		means that 150 simultaneous http-connections and 300 smtp-
#		connections are reguarded as the maximum and will result
#		in the highest value possible returned to the client,
#		eg a Checkpoint FW1 module. 
#
#		if the number of http-connections is 150 and the number of
#		smtp-connections is 150, too, loadd will report system load to
#		be 75 % of the maximum allowed load:
#
#		http is at 100%
#		smtp is at  50%
#		number of parameters is 2
#		total load is (100 + 50) : 2 = 75
#
#		since checkpoint only supports compound load reports, we have
#		no chance to tell the firewall not to send http but to send 
#		smtp requests only.
#
#		if the process "/usr/sbin/httpd" is not running, loadd
# 		will report maximum load for http, which will not influence 
#		the smtp value though and result in the compound load 
#		described above.
#
##############################################################################

#http:1500
#application:/usr/sbin/httpd
#port:1600
